summaryrefslogtreecommitdiffstats
path: root/test.sh
diff options
context:
space:
mode:
authorJérémy Zurcher <jeremy@asynk.ch>2011-07-04 06:33:44 +0200
committerJérémy Zurcher <jeremy@asynk.ch>2011-07-04 06:33:44 +0200
commita583bb24fb23728c9c4ed6c6c573d526ab654c49 (patch)
treeecea1f2c3b5cf6eb2138cf2e4f0bb275456b320f /test.sh
parent6c027b4de25a529908be895e7ff19236f4002a57 (diff)
downloadcrypto-a583bb24fb23728c9c4ed6c6c573d526ab654c49.zip
crypto-a583bb24fb23728c9c4ed6c6c573d526ab654c49.tar.gz
test.sh: use cmp instead of diff
Diffstat (limited to 'test.sh')
-rwxr-xr-xtest.sh10
1 files changed, 5 insertions, 5 deletions
diff --git a/test.sh b/test.sh
index 2c184c7..c4fbb5e 100755
--- a/test.sh
+++ b/test.sh
@@ -35,19 +35,19 @@ dist (){
${BIN} -x ${ARGS2} ${ARGSS} ${KEY} > DEC & PID=$!
sleep 2
- cat ${FILE} | ${BIN} ${ARGS1} ${ARGSD} ${KEY} || ( echo "error !!"; exit 1 )
+ cat ${FILE} | ${BIN} ${ARGS1} ${ARGSD} ${KEY} || ( echo "error !!"; kill ${PID} exit 1 )
wait ${PID}
}
local
-echo "running diff"
-diff ${FILE} DEC || echo "ERROR"
+echo "running cmp"
+cmp ${FILE} DEC || echo "ERROR"
echo "OK."
rm DEC
dist
-echo "running diff"
-diff ${FILE} DEC || echo "ERROR"
+echo "running cmp"
+cmp ${FILE} DEC || echo "ERROR"
echo "OK."
rm DEC ${FILE}